play.db.jpa

## Class JPQL

- java.lang.Object
- - play.db.jpa.JPQL

    public class JPQL
    extends java.lang.Object

### Field Summary

Fields
`static JPQL` `instance`

### Constructor Summary

Constructors
Constructor and Description
`JPQL()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`GenericModel.JPAQuery` `all(java.lang.String entity)`
`GenericModel.JPAQuery` `all(java.lang.String dbName, java.lang.String entity)`
`javax.persistence.Query` `bindParameters(javax.persistence.Query q, java.util.Map<java.lang.String,java.lang.Object> params)`
`javax.persistence.Query` `bindParameters(javax.persistence.Query q, java.lang.Object... params)`
`long` `count(java.lang.String entity)`
`long` `count(java.lang.String dbName, java.lang.String entity)`
`long` `count(java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`long` `count(java.lang.String dbName, java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`JPABase` `create(java.lang.String entity, java.lang.String name, Scope.Params params)`
`JPABase` `create(java.lang.String dbName, java.lang.String entity, java.lang.String name, Scope.Params params)`
`java.lang.String` `createCountQuery(java.lang.String dbName, java.lang.String entityName, java.lang.String entityClass, java.lang.String query, java.lang.Object... params)`
`java.lang.String` `createDeleteQuery(java.lang.String entityName, java.lang.String entityClass, java.lang.String query, java.lang.Object... params)`
`java.lang.String` `createFindByQuery(java.lang.String dbName, java.lang.String entityName, java.lang.String entityClass, java.lang.String query, java.lang.Object... params)`
`int` `delete(java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`int` `delete(java.lang.String dbName, java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`int` `deleteAll(java.lang.String entity)`
`int` `deleteAll(java.lang.String dbName, java.lang.String entity)`
`javax.persistence.EntityManager` `em()`
`javax.persistence.EntityManager` `em(java.lang.String dbName)`
`protected static java.lang.String` `extractProp(java.lang.String part, java.lang.String end)`
`GenericModel.JPAQuery` `find(java.lang.String entity)`
`GenericModel.JPAQuery` `find(java.lang.String dbName, java.lang.String entity)`
`GenericModel.JPAQuery` `find(java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`GenericModel.JPAQuery` `find(java.lang.String dbName, java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`<T extends JPABase> java.util.List<T>` `findAll(java.lang.String entity)`
`<T extends JPABase> java.util.List<T>` `findAll(java.lang.String dbName, java.lang.String entity)`
`<T extends JPABase> java.util.List<T>` `findBy(java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`<T extends JPABase> java.util.List<T>` `findBy(java.lang.String dbName, java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`JPABase` `findById(java.lang.String entity, java.lang.Object id)`
`JPABase` `findById(java.lang.String dbName, java.lang.String entity, java.lang.Object id)`
`java.lang.String` `findByToJPQL(java.lang.String findBy)`
`java.lang.String` `findByToJPQL(java.lang.String dbName, java.lang.String findBy)`
`JPABase` `findOneBy(java.lang.String entity, java.lang.String query, java.lang.Object[] params)`
`JPABase` `findOneBy(java.lang.String dbName, java.lang.String entity, java.lang.String query, java.lang.Object[] params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static JPQL instance

### Constructor Detail

#### JPQL

    public JPQL()

### Method Detail

#### em

    public javax.persistence.EntityManager em(java.lang.String dbName)

#### em

    public javax.persistence.EntityManager em()

#### count

    public long count(java.lang.String entity)

#### count

    public long count(java.lang.String dbName,
                      java.lang.String entity)

#### count

    public long count(java.lang.String entity,
                      java.lang.String query,
                      java.lang.Object[] params)

#### count

    public long count(java.lang.String dbName,
                      java.lang.String entity,
                      java.lang.String query,
                      java.lang.Object[] params)

#### findAll

    public <T extends JPABase> java.util.List<T> findAll(java.lang.String entity)

#### findAll

    public <T extends JPABase> java.util.List<T> findAll(java.lang.String dbName,
                                                         java.lang.String entity)

#### findById

    public JPABase findById(java.lang.String entity,
                            java.lang.Object id)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findById

    public JPABase findById(java.lang.String dbName,
                            java.lang.String entity,
                            java.lang.Object id)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findBy

    public <T extends JPABase> java.util.List<T> findBy(java.lang.String entity,
                                                        java.lang.String query,
                                                        java.lang.Object[] params)

#### findBy

    public <T extends JPABase> java.util.List<T> findBy(java.lang.String dbName,
                                                        java.lang.String entity,
                                                        java.lang.String query,
                                                        java.lang.Object[] params)

#### find

    public GenericModel.JPAQuery find(java.lang.String entity,
                                      java.lang.String query,
                                      java.lang.Object[] params)

#### find

    public GenericModel.JPAQuery find(java.lang.String dbName,
                                      java.lang.String entity,
                                      java.lang.String query,
                                      java.lang.Object[] params)

#### find

    public GenericModel.JPAQuery find(java.lang.String entity)

#### find

    public GenericModel.JPAQuery find(java.lang.String dbName,
                                      java.lang.String entity)

#### all

    public GenericModel.JPAQuery all(java.lang.String entity)

#### all

    public GenericModel.JPAQuery all(java.lang.String dbName,
                                     java.lang.String entity)

#### delete

    public int delete(java.lang.String dbName,
                      java.lang.String entity,
                      java.lang.String query,
                      java.lang.Object[] params)

#### delete

    public int delete(java.lang.String entity,
                      java.lang.String query,
                      java.lang.Object[] params)

#### deleteAll

    public int deleteAll(java.lang.String dbName,
                         java.lang.String entity)

#### deleteAll

    public int deleteAll(java.lang.String entity)

#### findOneBy

    public JPABase findOneBy(java.lang.String dbName,
                             java.lang.String entity,
                             java.lang.String query,
                             java.lang.Object[] params)

#### findOneBy

    public JPABase findOneBy(java.lang.String entity,
                             java.lang.String query,
                             java.lang.Object[] params)

#### create

    public JPABase create(java.lang.String entity,
                          java.lang.String name,
                          Scope.Params params)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### create

    public JPABase create(java.lang.String dbName,
                          java.lang.String entity,
                          java.lang.String name,
                          Scope.Params params)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### createFindByQuery

    public java.lang.String createFindByQuery(java.lang.String dbName,
                                              java.lang.String entityName,
                                              java.lang.String entityClass,
                                              java.lang.String query,
                                              java.lang.Object... params)

#### createDeleteQuery

    public java.lang.String createDeleteQuery(java.lang.String entityName,
                                              java.lang.String entityClass,
                                              java.lang.String query,
                                              java.lang.Object... params)

#### createCountQuery

    public java.lang.String createCountQuery(java.lang.String dbName,
                                             java.lang.String entityName,
                                             java.lang.String entityClass,
                                             java.lang.String query,
                                             java.lang.Object... params)

#### bindParameters

    public javax.persistence.Query bindParameters(javax.persistence.Query q,
                                                  java.lang.Object... params)

#### bindParameters

    public javax.persistence.Query bindParameters(javax.persistence.Query q,
                                                  java.util.Map<java.lang.String,java.lang.Object> params)

#### findByToJPQL

    public java.lang.String findByToJPQL(java.lang.String findBy)

#### findByToJPQL

    public java.lang.String findByToJPQL(java.lang.String dbName,
                                         java.lang.String findBy)

#### extractProp

    protected static java.lang.String extractProp(java.lang.String part,
                                                  java.lang.String end)